# Gimp.Drawable.prototype.merge_shadow

    function merge_shadow(undo: Boolean): Boolean {
        // Gjs wrapper for gimp_drawable_merge_shadow()
    }

Merge the shadow buffer with the specified drawable.

This procedure combines the contents of the drawable's shadow buffer (for temporary processing) with the specified drawable. The 'undo' parameter specifies whether to add an undo step for the operation. Requesting no undo is useful for such applications as 'auto-apply'.

undo

  Push merge to undo stack?

Returns

  TRUE on success.